try {
  var client = require('browser-refresh-client');
} catch (ex) {
  console.log('Required node modules are not installed!');
  process.exit(1);
}

if (process.argv[2] == 'check') {
  console.log('OK!');
  process.exit(0);
}

var patterns = '*',
  styles = ['', '.css'],
  images = ['', '.png', '.jpeg', '.jpg', '.gif', '.svg'],
  others = ['', '.php', '.inc', '.module'],
  fs = require('fs'),
  path = require('path'),
  urlFile = false;

client.enableSpecialReload(patterns, { autoRefresh: false })
  .onFileModified(function(filename) {
    var ext = path.extname(filename);
    if (styles.indexOf(ext) > 0) {
      console.log('Refresh styles');
      client.refreshStyles();
    }
    else if (images.indexOf(ext) > 0) {
      console.log('Refresh images');
      client.refreshImages();
    }
    else if (others.indexOf(ext) > 0) {
      console.log('Refresh page');
      client.refreshPage();
    }
  });

if (fs.existsSync('.browser-refresh')) {
  urlFile = JSON.parse(fs.readFileSync('.browser-refresh')).urlFileName || false;
  if (urlFile) {
    fs.writeFile(urlFile, process.env.BROWSER_REFRESH_URL);
    process.send('online');
  }
}

console.log('FAILURE: You should start browser-refresh with the following Drush command:');
console.log('    drush [@alias] browser-refresh-start');
